'------------------------------------------------------------------------
'  LittleGamers.vbs (v1.0)
'------------------------------------------------------------------------
'
' Returns the name of the latest little gamers (www.little-gamers.com)
' comic & a link to it.
'
' NOTE: set the ENABLE_LINKAGE setting below to false if you have a 
'	version of Samurize prior to 0.85b
'								-NeM
'------------------------------------------------------------------------
' USER SETTINGS
' =============
ENABLE_LINKAGE = True	' set to false if you have a version of
			' Samurize prior to 0.85b

SHOW_DATE = True	' set to false if you don't want to see the
			' date of the latest comic
'------------------------------------------------------------------------



'------------------------------------------------------------------------
' DO NOT CHANGE ANYTHING BELOW HERE UNLESS YOU KNOW WHAT YOU ARE DOING!
'------------------------------------------------------------------------

LG_URL = "http://www.little-gamers.com"
END_LINK = "&quot;"
START_LINK = "&quot;"
END_DATE = "</td>"


Function getComicName()

	dim htmlResult, comicName, comicLink
	htmlResult = ReturnHTML(LG_URL)

	pageUp = instr(htmlResult, "<title>Little Gamers")

	if pageUp > 0 then
		
		leftMark = instr( pageUp, htmlResult, "&quot;") + 6

		rightMark = instr( leftMark, htmlResult, "&quot;")

		if leftMark > 0 AND rightMark > leftMark Then

			'grabs the name of the comic
			comicName = trim(right(mid( htmlResult, leftMark+1, rightMark-leftMark-1 ), rightMark-leftMark-6))

		End If
		
		If SHOW_DATE = True Then
		
			leftMark = rightMark + len(START_LINK) + 2
			rightMark = instr(leftMark, htmlResult, END_DATE)
			comicName = comicName & " (" & trim(right(mid( htmlResult, leftMark+1, rightMark-leftMark-1 ), rightMark-leftMark-6)) & ")"
		End If


	end if

	getComicName = comicName

	if ENABLE_LINKAGE = true then
		getComicName = getComicName & "%lwww.little-gamers.com"
	end if

End Function

Private Function ReturnHTML(sURL)
	Dim objXMLHTTP,HTML
	Set objXMLHTTP = CreateObject("Microsoft.XMLHTTP")
	objXMLHTTP.Open "GET", sURL, False
	objXMLHTTP.Send
	HTML = objXMLHTTP.responseBody
	Set objRS = CreateObject("ADODB.Recordset")
	objRS.Fields.Append "txt", 200, 45000, &H00000080
	objRS.Open
	objRS.AddNew
	objRS.Fields("txt").AppendChunk HTML
	ReturnHTML = objRS("txt").Value
	objRS.Close
	Set objRS = Nothing
	Set objXMLHTTP = Nothing
End Function
